interface knowledgeType {
  [key: string]: string
}
export const knowledgeTypeData: knowledgeType = {
  PERCUSSION_SINGLE: '打击乐',
  FLUTE_SINGLE: '长笛',
  SAX_SINGLE: '萨克斯',
  CLARINET_SINGLE: '单簧管',
  TRUMPET_SINGLE: '小号',
  TROMBONE_SINGLE: '长号',
  HORN_SINGLE: '圆号',
  BARITONE_TUBA_SINGLE: '上低音号-大号',
  MUSIC_THEORY: '乐理',
  INSTRUMENTAL_ENSEMBLE: '合奏'
}

export const lessonType = Object.keys(knowledgeTypeData).map((key: string) => {
  return { label: knowledgeTypeData[key], value: key }
})

export const getLessonType = (key: any) => {
  return knowledgeTypeData[key] || ''
}
